# GetGlobalObjectOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- GetGlobalObjectOptions

## Index

### Properties

- returnEmptyObject
- throwIfUnavailable
- usageDesc

## Properties

### Optional returnEmptyObject

returnEmptyObject: undefined | false | true

- Defined in packages/common/src/utils.ts:243

If the object is not found, return an new empty object instead of undefined. Requires throwIfUnavailable to be falsey.

default

  false

### Optional throwIfUnavailable

throwIfUnavailable: undefined | false | true

- Defined in packages/common/src/utils.ts:233

Throw an error if the object is not found.

default

  false

### Optional usageDesc

usageDesc: undefined | string

- Defined in packages/common/src/utils.ts:237

Additional information to include in an error if thrown.

Generated using TypeDoc